/assets/upload
Stores an image in the database.
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Body for the asset upload request in multipart/form-data
filestring · binaryRequiredExample:
Binary image data in JPEG, PNG or BMP format.
FF D8 FF E1 17 FE 45 78 69 66 00 00 49 49 2A 00 ...tenantIdstringRequiredExample:
An identifier used to group different images or biometric templates in a common space.
57fbc814-3f40-402c-9d29-262f99c3b896mimeTypestringOptionalExample:
File format identifier. If not included, it defaults to 'image/jpeg'.
image/jpegResponses
200
The upload result.
application/json
Media asset upload response
idstringOptionalExample:
An image identifier in the database.
9c79c818-b81a-4959-b65a-a2b0c8143528400
Incorrect parameters were received in the request.
application/json
500
An error occurred while calling the backend.
application/json
post/assets/upload
POST /assets/upload HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 136
{
"file": "FF D8 FF E1 17 FE 45 78 69 66 00 00 49 49 2A 00 ...",
"tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
"mimeType": "image/jpeg"
}{
"id": "9c79c818-b81a-4959-b65a-a2b0c8143528"
}Last updated